{
  "schema_version": "1.4.0",
  "id": "GHSA-c49m-q6cw-xm98",
  "modified": "2024-04-04T01:19:53Z",
  "published": "2022-05-24T16:50:51Z",
  "aliases": [
    "CVE-2019-12552"
  ],
  "details": "In SweetScape 010 Editor 9.0.1, an integer overflow during the initialization of variables could allow an attacker to cause a denial of service.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-12552"
    },
    {
      "type": "WEB",
      "url": "https://ereisr00.github.io"
    },
    {
      "type": "WEB",
      "url": "https://github.com/ereisr00/bagofbugz/blob/master/010Editor"
    },
    {
      "type": "WEB",
      "url": "https://www.sweetscape.com/010editor/manual/ReleaseNotes.htm"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-07-22T20:15:00Z"
  }
}